Name:		antlr
Version:	2.7.7
Release:	1

Summary:	ANother Tool for Language Recognition
License:	Public Domain
Group:		Development/Java
Source0:	%{name}-%{version}.tar.gz
Source1:	%{name}-build.xml
URL:		http://www.antlr.org
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix:		/usr/local

BuildRequires:	j2sdk, ant

%description

ANother Tool for Language Recognition, (formerly PCCTS) is a language
tool that provides a framework for constructing recognizers,
compilers, and translators from grammatical descriptions containing
Java, CSharp, or C++ actions. ANTLR provides excellent support for tree
construction, tree walking, and translation.

%package c++-devel
Summary: 	ANTLR headers and static library for C++
Group: 		Development/C++
Requires: 	%{name} = %{version}

%description c++-devel

This package contains the ANTLR headers and static library for using
ANTLR to produce parsers in C++.

%package python
Summary: 	ANTLR bindings for python
Group: 		Development/C++
Requires: 	%{name} = %{version}

%description python

This package contains the ANTLR bindings for python.

%prep
%setup -q
find . -name "*.jar" -exec rm -f {} \;

%build
./configure --disable-csharp --prefix=$RPM_BUILD_ROOT%{prefix} --without-examples
make CXXFLAGS="${CXXFLAGS} -fPIC"

%install
%makeinstall

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean

%files
%defattr(-,root,root)
%{prefix}/bin/antlr
%{prefix}/lib/antlr.jar
%{prefix}/share/antlr-%{version}/antlr.jar
%{prefix}/share/antlr-%{version}/antlr-mode.el
%{prefix}/share/antlr-%{version}/antlr-jedit.xml
%{prefix}/share/doc/antlr-%{version}/

%files c++-devel
%defattr(-,root,root)
%{prefix}/lib/libantlr.a
#%{prefix}/lib/cpp/src/libantlr.a
%{prefix}/bin/antlr-config
%{prefix}/include/antlr/*

%files python
%defattr(-,root,root)
%{prefix}/sbin/pyantlr.sh
%{prefix}/lib/antlr.py
%{prefix}/share/antlr-%{version}/antlr.py
%{prefix}/share/antlr-%{version}/__init__.py

%changelog
* Tue Mar 27 2007 Chris J. Mutter <cjm@matrixware.com> 2.7.5-1
- Added customizable %{prefix} and configure options

* Sun Apr 24 2005 Xavier Decoret <Xavier.Decoret@imag.fr> 2.7.5-1
- Upgraded to 2.7.5. Added package for python.

* Fri Sep 17 2004 Xavier Decoret <Xavier.Decoret@imag.fr> 2.7.4-1
- First release.

